

Fix use of uninitialised variable.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/autofs4/autofs_i.h |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN fs/autofs4/autofs_i.h~autofs4-tree-race-fix-fix-fix fs/autofs4/autofs_i.h
--- 25/fs/autofs4/autofs_i.h~autofs4-tree-race-fix-fix-fix	2005-04-10 23:59:14.000000000 -0700
+++ 25-akpm/fs/autofs4/autofs_i.h	2005-04-10 23:59:26.000000000 -0700
@@ -128,7 +128,7 @@ static inline int autofs4_oz_mode(struct
 static inline int autofs4_ispending(struct dentry *dentry)
 {
 	struct autofs_info *inf = autofs4_dentry_ino(dentry);
-	int pending;
+	int pending = 0;
 
 	if (dentry->d_flags & DCACHE_AUTOFS_PENDING)
 		return 1;
_
